未找到测量

Moses Skoda工程师预计阅读 1 分钟

发生此错误时,API 返回 404 Not Found。其 type 为 https://lingo.dev/docs/api/errors/measurement-not-found。所有错误的通用结构详见错误和状态码。

在此组织中找不到测量 <id>。该测量可能不存在、属于其他组织,或在回填时没有任何已启用的事件条件。请核对此组织的测量 ID,并在回填前启用该测量的至少一个条件。

字段#

除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本根据这些字段生成,客户端也可以据此显示自定义文本。

字段类型
idstring

示例#

json
{
  "detail": "Cannot find measurement <id> in this organization. It does not exist, belongs to another organization, or (for a backfill) has no enabled event condition. Check the id against this organization's measurements and enable one of its conditions before a backfill.",
  "id": "<id>",
  "type": "https://lingo.dev/docs/api/errors/measurement-not-found",
  "status": 404,
  "title": "Measurement not found"
}

返回此错误的端点#

  • DELETE /v2/organizations/{orgId}/measurements/{measurementId}
  • DELETE /v2/organizations/{orgId}/measurements/{measurementId}/conditions/{eventType}
  • GET /v2/organizations/{orgId}/measurements/{measurementId}
  • GET /v2/organizations/{orgId}/measurements/{measurementId}/event-counts
  • PATCH /v2/organizations/{orgId}/measurements/{measurementId}
  • POST /v2/organizations/{orgId}/measurements/{measurementId}/backfill
  • PUT /v2/organizations/{orgId}/measurements/{measurementId}/conditions/{eventType}
  • PUT /v2/organizations/{orgId}/measurements/{measurementId}/enabled
  • PUT /v2/organizations/{orgId}/measurements/{measurementId}/settings